#include "StdAfx.h"
#define COMMON_API __declspec(dllexport)

#include "CmnMan.h"
#include "CmnLog.h"
#include "CmnStg.h"
#include "CmnNet.h"

// Call This function to get desired interface
COMMON_API  HRESULT	CreateInstance(_IID InterfaceID, void ** ppv)
{
	switch(InterfaceID) {
		case IID_IStorageFile:
			*ppv = new XStorageFile;
			((IStorageFile*)(*ppv))->AddRef();
			break;
		case IID_IBlockingSocket:
			*ppv = new XBlockingSocket;
			((IBlockingSocket*)(*ppv))->AddRef();
			break;
		default:
			TRACE("Invalid IID specified.");
			break;
	}
	return 0;
}