/*
 *	Used strings defines
 *
 *	(c) Copyright 2000 - 2001
 *		All Rights Reserved
 *
 *	Update : 27.12.2002
 */

#ifndef _STRINGS_H_
	#define _STRINGS_H_

	#define _S_EMPTYW										L""
	#define _S_EMPTYA										""
	
	#define _S_TABW											L"\t"
	#define _S_TABA											"\t"
	#define _S_COLONW										L":"	
	#define _S_COLONA										":"
	
	#define _S_NULL_CHARW									L'\0'	
	#define _S_NULL_CHARA									'\0'
	#define _S_NULLW										L"\0"
	#define _S_NULLA										"\0"
	#define _S_NEWLINE_CHARW								L'\n'
	#define _S_NEWLINE_CHARA								'\n'
	#define _S_CR_CHARW										L'\r'
	#define _S_CR_CHARA										'\r'
	#define _S_TAB_CHARW									L'\t'
	#define _S_TAB_CHARA									'\t'
	
	#define _S_SPACE_CHARW									L' '
	#define _S_SPACE_CHARA									' '
	#define _S_SPACEW										L" "
	#define _S_SPACEA										" "
	#define _S_DOT_CHARW									L'.'
	#define _S_DOT_CHARA									'.'
	#define _S_COMMA_CHARW									L','
	#define _S_COMMA_CHARA									','
	#define _S_BACKSLASHW									L"\\"
	#define _S_BACKSLASHA									"\\"
	#define _S_BACKSLASH_CHARW								L'\\'
	#define _S_BACKSLASH_CHARA								'\\'
	#define _S_SLASH_CHARW									L'/'
	#define _S_SLASH_CHARA									'/'
	#define _S_LPAR_CHARW									L'('
	#define _S_LPAR_CHARA									'('
	#define _S_RPAR_CHARW									L')'
	#define _S_RPAR_CHARA									')'
	#define _S_EQUAL_CHARW									L'='
	#define _S_EQUAL_CHARA									'='
	#define _S_EQUALW										L"="
	#define _S_EQUALA										"="
	#define _S_SEMICOLON_CHARW								L';'
	#define _S_SEMICOLON_CHARA								';'
	#define _S_SEMICOLONW									L";"
	#define _S_SEMICOLONA									";"
	#define _S_COLON_CHARW									L':'
	#define _S_COLON_CHARA									':'
	#define _S_QUOTATION_CHARW								L'\"'
	#define _S_QUOTATION_CHARA								'\"'
	#define _S_HYPHEN_CHARW									L'-'
	#define _S_HYPHEN_CHARA									'-'
	#define _S_AT_CHARW										L'@'
	#define _S_AT_CHARA										'@'

	#define _S_ZERO_CHARW									L'0'
	#define _S_ZERO_CHARA									'0'
	#define _S_NINE_CHARW									L'9'
	#define _S_NINE_CHARA									'9'

	#define _S_ALLW											L"*"
	#define _S_ALLA											"*"
	#define _S_ALL_CHARW									L'*'
	#define _S_ALL_CHARA									'*'
	#define _S_ANYW											L"?"
	#define _S_ANYA											"?"
	#define _S_ANY_CHARW									L'?'
	#define _S_ANY_CHARA									'?'

	#define _S_SEPARATOR_CHARW								_S_SEMICOLON_CHARW
	#define _S_SEPARATOR_CHARA								_S_SEMICOLON_CHARA
	#define _S_SEPARATORW									_S_SEMICOLONW
	#define _S_SEPARATORA									_S_SEMICOLONA

  #ifdef UNICODE
    #define _S_EMPTY										_S_EMPTYW
		
	#define _S_TAB											_S_TABW
	#define _S_COLON										_S_COLONW
	
	#define _S_NULL_CHAR									_S_NULL_CHARW
	#define _S_NULL											_S_NULLW
	#define _S_NEWLINE_CHAR									_S_NEWLINE_CHARW
	#define _S_CR_CHAR										_S_CR_CHARW
	#define _S_TAB_CHAR										_S_TAB_CHARW
	
	#define _S_SPACE_CHAR									_S_SPACE_CHARW
	#define _S_SPACE										_S_SPACEW
	#define _S_DOT_CHAR										_S_DOT_CHARW
	#define _S_COMMA_CHAR									_S_COMMA_CHARW
	#define _S_BACKSLASH									_S_BACKSLASHW
	#define _S_BACKSLASH_CHAR								_S_BACKSLASH_CHARW
	#define _S_SLASH_CHAR									_S_SLASH_CHARW
	#define _S_LPAR_CHAR									_S_LPAR_CHARW
	#define _S_RPAR_CHAR									_S_RPAR_CHARW
	#define _S_EQUAL_CHAR									_S_EQUAL_CHARW
	#define _S_EQUAL										_S_EQUALW
	#define _S_SEMICOLON_CHAR								_S_SEMICOLON_CHARW
	#define _S_SEMICOLON									_S_SEMICOLONW
	#define _S_COLON_CHAR									_S_COLON_CHARW
	#define _S_QUOTATION_CHAR								_S_QUOTATION_CHARW
	#define _S_HYPHEN_CHAR									_S_HYPHEN_CHARW
	#define _S_AT_CHAR										_S_AT_CHARW
	
	#define _S_ZERO_CHAR									_S_ZERO_CHARW
	#define _S_NINE_CHAR									_S_NINE_CHARW
	#define _S_ALL											_S_ALLW
	#define _S_ALL_CHAR										_S_ALL_CHARW
	#define _S_ANY											_S_ANYW
	#define _S_ANY_CHAR										_S_ANY_CHARW

	#define _S_SEPARATOR_CHAR								_S_SEMICOLON_CHARW
	#define _S_SEPARATOR									_S_SEMICOLONW
  #else
    #define _S_EMPTY										_S_EMPTYA
		
	#define _S_TAB											_S_TABA
	#define _S_COLON										_S_COLONA
	
	#define _S_NULL_CHAR									_S_NULL_CHARA
	#define _S_NULL											_S_NULLA
	#define _S_NEWLINE_CHAR									_S_NEWLINE_CHARA
	#define _S_CR_CHAR										_S_CR_CHARA
	#define _S_TAB_CHAR										_S_TAB_CHARA
	
	#define _S_SPACE_CHAR									_S_SPACE_CHARA
	#define _S_SPACE										_S_SPACEA
	#define _S_DOT_CHAR										_S_DOT_CHARA
	#define _S_COMMA_CHAR									_S_COMMA_CHARA
	#define _S_BACKSLASH									_S_BACKSLASHA
	#define _S_BACKSLASH_CHAR								_S_BACKSLASH_CHARA
	#define _S_SLASH_CHAR									_S_SLASH_CHARA
	#define _S_LPAR_CHAR									_S_LPAR_CHARA
	#define _S_RPAR_CHAR									_S_RPAR_CHARA
	#define _S_EQUAL_CHAR									_S_EQUAL_CHARA
	#define _S_EQUAL										_S_EQUALA
	#define _S_SEMICOLON_CHAR								_S_SEMICOLON_CHARA
	#define _S_SEMICOLON									_S_SEMICOLONA
	#define _S_COLON_CHAR									_S_COLON_CHARA
	#define _S_QUOTATION_CHAR								_S_QUOTATION_CHARA
	#define _S_HYPHEN_CHAR									_S_HYPHEN_CHARA
	#define _S_AT_CHAR										_S_AT_CHARA
	
	#define _S_ZERO_CHAR									_S_ZERO_CHARA
	#define _S_NINE_CHAR									_S_NINE_CHARA
	#define _S_ALL											_S_ALLA
	#define _S_ALL_CHAR										_S_ALL_CHARA
	#define _S_ANY											_S_ANYA
	#define _S_ANY_CHAR										_S_ANY_CHARA

	#define _S_SEPARATOR_CHAR								_S_SEMICOLON_CHARA
	#define _S_SEPARATOR									_S_SEMICOLONA
  #endif

#endif // _STRINGS_H_