/*
 *
 * Symbols.h - misc symbols (pragma's, constants, macro's and so on)
 * Date :	28.04.2002
 * Update :	24.12.2002
 * Author :	Ondrej Burisin
 * Updater:	Ondrej Burisin, Swap
 *
 */

#ifndef _SYMBOLS_H_
	#define _SYMBOLS_H_

	// Macro that computes the size of the element
	#ifndef _COUNTOF
		#define _COUNTOF(array) (sizeof(array)/sizeof(array[0]))
	#endif
	//
	// TAK TODLE FAKT NECHAPU! ALE UZ ASPON VIM ZE TO TAK MUSI BEJT
	#define chSTR(x) 		#x
	#define chSTR2(x)		chSTR(x)
	// Usage : #pragma COMMENT(This is the way) - no ; there
	#define COMMENT(desc)	message(__FILE__ "(" chSTR2(__LINE__) "): " #desc)		
	//
	// Macros of SAFE_... type
	#define SAFE_NULL(p)			{p = NULL;}
	#define SAFE_DELETE(p)			{ if(p) { delete (p);     (p)=NULL; } }
	#define SAFE_RELEASE(p)			{ if(p) { (p)->Release(); (p)=NULL; } }
	#define SAFE_DELETE_ARRAY(p)	{ if(p) { delete[] (p);   (p)=NULL; } }	

#endif
