#pragma once

#include <vector>

class DISPLAY_API XResourceManager
{
	std::vector <XTexture*>			m_arTextures;
	std::vector <XMesh*>			m_arMeshes;
	std::vector <XVertexBuffer*>	m_arVB;
	std::vector <XIndexBuffer*>		m_arIB;
	
public:	
	int	AddTexture(XTexture * pTextureToAdd);
	int	AddMesh(XMesh * pMeshToAdd);
	int	AddVertexBuffer(XVertexBuffer * pBufferToAdd);
	int	AddIndexBuffer(XIndexBuffer * pBufferToAdd);
	int	ReleaseAll();
	int	RestoreAll();
	
public:
	XResourceManager(void);
	~XResourceManager(void);
};
