// Cursor.h: interface for the CCursor class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CURSOR_H__0E97DBE0_339C_4800_8055_2A308C7B8C4E__INCLUDED_)
#define AFX_CURSOR_H__0E97DBE0_339C_4800_8055_2A308C7B8C4E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class INPUT_API CCursor  
{
	BOOL				m_bInit;
	int					m_iWidth;
	int					m_iHeight;	
	
	LPD3DXSPRITE			m_d3dCursor;
	LPDIRECT3DDEVICE8		m_lpDevice;
	XTexture	*			m_lpTexture;	

	int				m_iPhase;
	int				m_iSpeed;
	int				m_nPhases;
	DWORD			m_dwOldTime;

public:
	HRESULT		Create(LPCSTR csIntPath, int cx, int cy, LPDIRECT3DDEVICE8 lpDevice);
	HRESULT		Create(LPCSTR csIntPath, int cx, int cy, int nSpeed, int iPhases, LPDIRECT3DDEVICE8 lpDevice);
	HRESULT		Update(D3DXVECTOR2* ptCursor);

public:
	CCursor();
	~CCursor();
};

#endif // !defined(AFX_CURSOR_H__0E97DBE0_339C_4800_8055_2A308C7B8C4E__INCLUDED_)
