#pragma once

class DISPLAY_API XTexture
{
	LPDIRECT3DTEXTURE8		m_lpTexture;
	
	// information for restoring
	char					m_szFilePath[MAX_PATH];
	LPDIRECT3DDEVICE8		m_lpDevice;
	int						m_iMipLevels;
	D3DFORMAT				m_formatTextureFormat;

	int						m_iWidth;
	int						m_iHeight;

public:
	int						LoadTextureFromFile(LPCSTR szFileName, LPDIRECT3DDEVICE8	lpDevice);
	int						LoadTextureFromFileEx(LPCSTR szFileName, int iMipLevels, D3DFORMAT formatTextureFormat, LPDIRECT3DDEVICE8	lpDevice);
	int						Restore();
	void					Release();
	LPDIRECT3DTEXTURE8		GetTexture() { return m_lpTexture; }
	LPDIRECT3DDEVICE8		GetDevice() {return m_lpDevice; }
	int						Width() {return m_iWidth;}
	int						Height() {return m_iHeight;}

public:
	XTexture(void);
	~XTexture(void);
};
