// SetupDlg.h : header file
//

#pragma once

class CDisplaySetup;

// CSetupDlg dialog
class CSetupDlg : public CPropertySheet
{
private:
	CDisplaySetup	m_pageDisplaySetup;
	CAudioSetup		m_pageAudioSetup;

// Construction
public:
	CSetupDlg(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSetupDlg(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);	
	
	CDisplaySetup*	GetDisplaySetup() { return &m_pageDisplaySetup;}

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
};
